package sop_stage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_stage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/sop_stage/list sop_stage GetApiSopStageList
//
// Get sop stage list | 获取SopStage列表
//
// Get sop stage list | 获取SopStage列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: BatchSopStageListReq
//
// Responses:
//  200: SopStageListResp

func GetApiSopStageListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.BatchSopStageListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_stage.NewGetApiSopStageListLogic(r.Context(), svcCtx)
		resp, err := l.GetApiSopStageList(&req, r)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
